intervals-0.9.2: Interval Arithmetic

Safe Haskell | Safe-Inferred
Language | Haskell2010

Numeric.Interval.Exception

# Documentation

data EmptyInterval Source #

Constructors

EmptyInterval |

#### Instances

Instances details

Data EmptyInterval Source # |

Instance details

Defined in Numeric.Interval.Exception

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> EmptyInterval -> c EmptyInterval Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c EmptyInterval Source #

toConstr :: EmptyInterval -> Constr Source #

dataTypeOf :: EmptyInterval -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c EmptyInterval) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c EmptyInterval) Source #

gmapT :: (forall b. Data b => b -> b) -> EmptyInterval -> EmptyInterval Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> EmptyInterval -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> EmptyInterval -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> EmptyInterval -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> EmptyInterval -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> EmptyInterval -> m EmptyInterval Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> EmptyInterval -> m EmptyInterval Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> EmptyInterval -> m EmptyInterval Source #

Exception EmptyInterval Source # |
Instance details Defined in Numeric.Interval.Exception Methods toException :: EmptyInterval -> SomeException Source # fromException :: SomeException -> Maybe EmptyInterval Source # displayException :: EmptyInterval -> String Source #
Show EmptyInterval Source # |
Instance details Defined in Numeric.Interval.Exception Methods showsPrec :: Int -> EmptyInterval -> ShowS Source # show :: EmptyInterval -> String Source # showList :: [EmptyInterval] -> ShowS Source #
Eq EmptyInterval Source # |
Instance details Defined in Numeric.Interval.Exception Methods (==) :: EmptyInterval -> EmptyInterval -> Bool Source # (/=) :: EmptyInterval -> EmptyInterval -> Bool Source #
Ord EmptyInterval Source # |

Instance details

Defined in Numeric.Interval.Exception

Methods

compare :: EmptyInterval -> EmptyInterval -> Ordering Source #

(<) :: EmptyInterval -> EmptyInterval -> Bool Source #

(<=) :: EmptyInterval -> EmptyInterval -> Bool Source #

(>) :: EmptyInterval -> EmptyInterval -> Bool Source #

(>=) :: EmptyInterval -> EmptyInterval -> Bool Source #

max :: EmptyInterval -> EmptyInterval -> EmptyInterval Source #

min :: EmptyInterval -> EmptyInterval -> EmptyInterval Source #

data AmbiguousComparison Source #

Constructors

AmbiguousComparison |

#### Instances

Instances details

Data AmbiguousComparison Source # |

Instance details

Defined in Numeric.Interval.Exception

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> AmbiguousComparison -> c AmbiguousComparison Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c AmbiguousComparison Source #

toConstr :: AmbiguousComparison -> Constr Source #

dataTypeOf :: AmbiguousComparison -> DataType Source #

dataCast1 :: Typeable t => (forall d. Data d => c (t d)) -> Maybe (c AmbiguousComparison) Source #

dataCast2 :: Typeable t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c AmbiguousComparison) Source #

gmapT :: (forall b. Data b => b -> b) -> AmbiguousComparison -> AmbiguousComparison Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> AmbiguousComparison -> r Source #

gmapQr :: forall r r'. (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> AmbiguousComparison -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> AmbiguousComparison -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> AmbiguousComparison -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> AmbiguousComparison -> m AmbiguousComparison Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> AmbiguousComparison -> m AmbiguousComparison Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> AmbiguousComparison -> m AmbiguousComparison Source #

Exception AmbiguousComparison Source # |
Instance details Defined in Numeric.Interval.Exception Methods toException :: AmbiguousComparison -> SomeException Source # fromException :: SomeException -> Maybe AmbiguousComparison Source # displayException :: AmbiguousComparison -> String Source #
Show AmbiguousComparison Source # |
Instance details Defined in Numeric.Interval.Exception Methods showsPrec :: Int -> AmbiguousComparison -> ShowS Source # show :: AmbiguousComparison -> String Source # showList :: [AmbiguousComparison] -> ShowS Source #
Eq AmbiguousComparison Source # |
Instance details Defined in Numeric.Interval.Exception Methods (==) :: AmbiguousComparison -> AmbiguousComparison -> Bool Source # (/=) :: AmbiguousComparison -> AmbiguousComparison -> Bool Source #
Ord AmbiguousComparison Source # |

Instance details

Defined in Numeric.Interval.Exception

Methods

compare :: AmbiguousComparison -> AmbiguousComparison -> Ordering Source #

(<) :: AmbiguousComparison -> AmbiguousComparison -> Bool Source #

(<=) :: AmbiguousComparison -> AmbiguousComparison -> Bool Source #

(>) :: AmbiguousComparison -> AmbiguousComparison -> Bool Source #

(>=) :: AmbiguousComparison -> AmbiguousComparison -> Bool Source #

max :: AmbiguousComparison -> AmbiguousComparison -> AmbiguousComparison Source #

min :: AmbiguousComparison -> AmbiguousComparison -> AmbiguousComparison Source #